Bug 947477 - R-RScaLAPACK doesn't use platform CFLAGS causing FTBFS on ARM
Summary: R-RScaLAPACK doesn't use platform CFLAGS causing FTBFS on ARM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: R-RScaLAPACK
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2013-04-02 14:15 UTC by Peter Robinson
Modified: 2013-12-11 22:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-11 22:21:56 UTC


Attachments (Terms of Use)

Description Peter Robinson 2013-04-02 14:15:38 UTC
ARM doesn't support the -m32/-m64 and as a result is FTBFS which indicates that R-RScaLAPACK isn't using the ditro specific compiler flags. 

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1658054

Comment 1 Tom "spot" Callaway 2013-04-02 15:07:59 UTC
I don't know how that -m64 popped into the linker command string. You can see in the logs that the R-RScaLAPACK.spec is not passing it in anywhere.

The value for MPISHLIB_LD is evaluated from R_SHLIB_LD, which is R CMD config SHLIB_LD. You can see in the build log that R_SHLIB_LD does not include -m64, and that MPISHLIB_LD doesn't either.

The only place -m64 ever appears in the build logs is at that single linker invocation. I have no idea how to resolve this. If you had a prepped tree on the arm target, you might be able to grep it for the "-m64" string and see where it ends up getting added... that might shed some light on this.

Comment 2 Fedora End Of Life 2013-09-16 13:25:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Peter Robinson 2013-12-11 22:21:56 UTC
Package is retired and dead upstream


Note You need to log in before you can comment on or make changes to this bug.